#### D.9.2.5 texfactorize

Procedure from library `latex.lib` (see latex_lib).

Usage:
  texfactorize(fname,f); fname string, f poly

Return:
  if `fname=""`: string, f as a product of its irreducible factors
  otherwise: append this string to the file `<fname>`, and return nothing.

Note:
  preceding ">>" are deleted and suffix ".tex" (if not given) is added to `fname`.

Example:

    LIB "latex.lib";
    ring r2 = 13,(x,y),dp;
    poly f = (x+1+y)^2*x3y*(2x-2y)*y12;
    texfactorize("",f);
    ==> $-2\cdot x^{3}\cdot y^{13}\cdot (x+y+1)^{2}\cdot (-x+y)$
    ring R49 = (7,a),x,dp;
    minpoly = a2+a+3;
    poly f = (a24x5+x3)*a2x6*(x+1)^2;
    f;
    ==> (a+3)*x13+(2a-1)*x12+(-2a+1)*x10+(-a-3)*x9
    texfactorize("",f);
    ==> $(a+3)\cdot (x-1)\cdot (x+1)^{3}\cdot x^{9}$

User manual for Singular version 4-0-3, 2016, generated by texi2html.